
Figure - Bug #117503
【IOVDEV-21989】【内部】【VC1】【0068】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】
设置页右边展示栏最下位置时，点击下键，部分页面可以跳到左边，部分页面无法跳
2023-04-14 15:37 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0068.C101��副屏版本：0088 userdebug版本

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 系统选择逻辑

Description

【前提条件】

1、车机已上电，网络正常

2、台架处于测试环境

【操作手顺】

1、进入副屏遥控器应用，进入【设置】>【显示】页面，预选栏处于右边详细信息展示栏的最下方

2、此时点击遥控器的【下键】，查看副屏动作

3、同样对比【壁纸】页面，预选栏处于右边详细信息展示栏的最下方

4、点击遥控器的【下键】，查看副屏动作

【实际结果】

2、预选栏依旧处于【操作模式】栏，不会跳到左边栏

4、预选栏直接从【重置壁纸】跳到左边显示栏

【期望结果】

页面的按键效果需实现一致：

建议按下键，支持跳转左边用户体验会更好

【对比测试】“显示页面”和“关于本机”均存在该问题

测试时间：20230412 15-10

副屏版本：88 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

History

#1 - 2023-04-14 16:08 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

Settings方向控制适配问题

#2 - 2023-04-14 17:15 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO
- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

- Need_Info changed from -- to TEST

Hi 王维

此问题与 https://share.thundersoft.com/redmine/issues/117351 是同件问题

请在117351中追踪进展

#3 - 2023-04-14 17:34 - CD FW-廖涛

- Assignee changed from 物联网测试组_TSCD 王维 to CD FW-廖涛

#4 - 2023-04-14 17:35 - CD FW-廖涛

- Category changed from 依赖客户及其供应商解决 to CD-FW

- Status changed from NEED_INFO to ASSIGNED

- Need_Info changed from TEST to --

#5 - 2023-04-14 17:45 - 物联网测试组_TSCD 王维

- File 二次点击设置显示选项，副屏向下按键到底后再次点击向下，不响应向下操作，其他选项无此现象.txt added

#6 - 2023-04-15 14:12 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

- Root cause set to 系统选择逻辑

Hi, 王维：

Settings 的选择滚动逻辑为系统全局逻辑，是否可以跳转选择，由系统决策，规则如下：

Settings 页面的方向控制逻辑如下：

当前焦点在左侧：

1. 按上键，左侧滚动到顶部：

   如果当前选中项的右侧存在可选择项目（其位置相对左侧的可选择项目的位置偏上，是否可以跳转到右侧可选择项目为系统计算得出），则可以跳转

到右侧选中项目，否则焦点保持在左侧最上不动；

2. 按下键，左侧滚动到底部：

   如果当前选中项的右侧存在可选择项目，并且右侧列表可以往下滚动，则可以跳转到右侧，否则焦点保持在左侧最下不动；

当前焦点在右侧：

1. 按上键，右侧滚动到顶部：

   如果当前选中项的左侧存在可选择项目，并且左侧列表可以往上滚动，则可以跳转到左侧，否则焦点保持在右侧最上不动；

2. 按下键，右侧滚动到底部：

   如果当前选中项的左侧存在可选择项目，并且左侧列表可以往下滚动，则可以跳转到左侧，否则焦点保持在右侧最下不动；

■ Next action

麻烦验证并同步客户。

#7 - 2023-05-09 10:32 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

验证通过，关闭bug
#8 - 2023-05-09 10:32 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-09 10:33 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

15-10.mp4等.zip 12.9 MB 2023-04-14 物联网测试组_TSCD 王维

二次点击设置显示选项，副屏向下按键到底后再次点击向下，不响应向下操作，其他选项无此现象.txt6.86 MB 2023-04-14 物联网测试组_TSCD 王维

2025-07-04 3/3


